main {
	padding-top: 1rem;
}

.color-tool-wrapper {
	max-width: 360px;
	background-color: hsl(0 0% 100%);
	border: 1px solid hsl(0 0% 90%);
	padding: 2rem;
	max-height: 800px;
}

.color-tool-wrapper h1,
.color-tool-wrapper p {
	text-align: center;
	padding: 0.5rem;
}

.color-tool {
	padding: 0.5rem;
	max-width: 360px;
	font-weight: 600;
	display: flex;
	flex-direction: column;
}

#shadesContainer {
	order: 3;
}

#colorPreview {
	order: 2;
	height: 8rem;
	padding: 0.5rem;
	border-radius: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
	font-family: monospace;
	font-weight: bold;
	border: 1px solid hsl(0 0% 100%);
	transition: background-color 0.1s ease;
}

#codeDisplay {
	order: 1;
	padding: 0.5rem;
}

.input-group {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.slider-section {
	order: 3;
}

.sliders {
	display: flex;
	flex-direction: column;
	padding: 0.5rem;
}

#shadesContainer {
	text-align: center;
	padding: 0.5rem;
}

button {
	width: 75px;
	padding: 0.25rem;
	cursor: pointer;
	border: 1px solid hsl(0 0% 0%);
	border-radius: 25px;
	margin-left: 0.5rem;
}

.input-wrapper {
	display: flex;
	gap: 5px;
	width: 100%;
	justify-content: center;
}

#hexInput,
#rgbInput,
#hslInput {
	width: 150px;
	flex-grow: 0 !important;
	text-align: center;
	border: 1px solid hsl(0 0% 0%);
	border-radius: 5px;
}

#color-grid {
	width: calc(100% - 1rem);
	max-width: calc(1125px + 1.25rem);
	display: grid;
	grid-template-columns: repeat(auto-fill, 125px);
	padding: 0.5rem;
	justify-content: center;
	border: 1px solid hsl(0 0% 90%);
	background-color: hsl(0 0% 100%);
}

.color-box {
	width: 125px;
	height: 50px;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 12px;
	font-weight: bold;
	text-align: center;
	word-break: break-all;
	padding: 0.15rem;
}

.wrapper {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin: 0 auto;
}

@media (max-width: 533px) {
	.desktop-only {
		display: none !important;
		height: 0;
		margin: 0;
		padding: 0;
		border: none;
	}
}